# CUpti_Profiler_BeginSession_Params Struct Reference
[CUPTI Profiler API]

Params for cuptiProfilerBeginSession.

## Data Fields

uint8_t | bDumpCounterDataInFile
| [in] [optional]
size_t | counterDataImageSize
| [in] size calculated from cuptiProfilerCounterDataImageCalculateSize
size_t | counterDataScratchBufferSize
| [in] size calculated from cuptiProfilerCounterDataImageInitializeScratchBuffer
CUcontext | ctx
| [in] if NULL, the current CUcontext is used
size_t | maxLaunchesPerPass
| [in] Maximum number of kernel launches that can be recorded in a single pass; must be >= maxRangesPerPass.
size_t | maxRangesPerPass
| [in] Maximum number of ranges that can be recorded in a single pass.
const char * | pCounterDataFilePath
| [in] [optional]
uint8_t * | pCounterDataImage
| [in] address of CounterDataImage
uint8_t * | pCounterDataScratchBuffer
| [in] address of CounterDataImage scratch buffer
void * | pPriv
| [in] assign to NULL
CUpti_ProfilerRange | range
| [in] CUpti_ProfilerRange
CUpti_ProfilerReplayMode | replayMode
| [in] CUpti_ProfilerReplayMode
size_t | structSize
| [in] CUpti_Profiler_BeginSession_Params_STRUCT_SIZE